Antom, leading provider of tailored payment solutions

inquiryBalance

POST /v1/aba/accounts/inquiryBalance

Use this interface to inquire the account balance. 

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

currencyList Array<CurrencyList>  

A list containing 3-character ISO-4217 currency codes representing the currency that the merchant queries.

Note: When this parameter is not specified, this API returns the balance information of all currencies. 

Response parameters

result Object  REQUIRED

The result of the API call.

Show child parameters

accountBalances Array<AccountBalance>  

The list of account balances

Note: This parameter is returned on demand only when the value of result.resultStatus is ​S​.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

API is successfully called, not resembling order status

UNKNOWN_EXCEPTIONUThe API call is failed, which is caused by unknown reasons.

The service might be down, retry later. If the issue persists, contact the Antom Technical Support.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

CONTRACT_CHECK_FAILFThe contract check failed.

Check the contract status with Antom before retrying.

ACCOUNT_NOT_EXISTFThe account does not exist.

Check if the account is valid and retry.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact the Antom Technical Support Team.

OAUTH_FAILFOAuth process failed.

Contact the Antom Technical Support for detailed reasons.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

PROCESS_FAILFA general business failure occurred.

Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

SYSTEM_ERRORFSystem error.

Do not retry, and contact the Antom Technical Support for more details.

SERVICE_NOT_ALLOWEDFService not allowed

Retry with the correct information. If the issue persists, contact the Antom Technical Support.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact the Antom Technical Support to verify the authorization status.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact the Antom Technical Support to address it.